> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account details

> Retrieve details for the authenticated account



## OpenAPI

````yaml get /api/v2/account
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/account:
    get:
      tags:
        - Accounts
      summary: Get account details
      description: Retrieve details for the authenticated account
      parameters:
        - name: targetAccountId
          in: query
          description: Target account ID when acting on behalf of another account
          required: false
          example: 123
          schema:
            type: number
      responses:
        '200':
          description: Account details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    example: 123
                  username:
                    type: string
                    example: user@example.com
                  details:
                    type: object
        '401':
          description: Unauthorized
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````